#
# spec file for package libbdplus
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           libbdplus
Summary:        Open implementation of BD+ protocol
Version:        0.1.2
Release:        1.2
Url:            http://www.videolan.org/developers/libbdplus.html
Source0:        ftp://ftp.videolan.org/pub/videolan/%{name}/%{version}/%{name}-%{version}.tar.bz2
License:        LGPL-2.1+
Group:          System/Libraries
BuildRequires:  libgcrypt-devel
BuildRequires:  libaacs-devel >= 0.7.0
BuildRequires:  pkg-config
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool

%description
libbdplus is a research project to implement the BD+ System Specifications.
This research project provides, through an open-source library, a way to
understand how the BD+ protocol works.

%package -n libbdplus0
Summary:        Open implementation of BD+ protocol
Group:          System/Libraries

%description -n libbdplus0
libbdplus is a research project to implement the BD+ System Specifications.
This research project provides, through an open-source library, a way to
understand how the BD+ protocol works.

%package devel
Summary:        Open implementation of BD+ protocol - Development files
Group:          Development/Languages/C and C++
Requires:       libbdplus0 = %{version}

%description devel
libbdplus is a research project to implement the BD+ System Specifications.
This research project provides, through an open-source library, a way to
understand how the BD+ protocol works.

%prep
%setup -q

%build
./bootstrap
%if 0%{?suse_version} < 1120
export CFLAGS="%{optflags} -std=gnu99"
%endif
%configure --disable-static
make %{?_smp_mflags}

%install
%makeinstall
find %{buildroot} -type f -name "*.la" -delete -print

%post -n libbdplus0 -p /sbin/ldconfig

%postun -n libbdplus0 -p /sbin/ldconfig

%files -n libbdplus0
%defattr(-, root, root)
%doc COPYING ChangeLog README.txt
%{_libdir}/libbdplus.so.0
%{_libdir}/libbdplus.so.0.*

%files devel
%defattr(-, root, root)
%{_libdir}/libbdplus.so
%{_libdir}/pkgconfig/libbdplus.pc
%{_includedir}/%{name}/

%changelog
* Tue Jan 27 2015 joerg.lorenzen@ki.tng.de
- update to 0.1.2
  * Add support for unmounted discs
  * Fix use after free
* Wed Dec 17 2014 joerg.lorenzen@ki.tng.de
- Initial package, version 0.1.1
